library(ggplot2)

dat <- read.csv('results.csv')

p <- ggplot(dat, aes(x=n_operations, y=median))
p <- p + geom_linerange(aes(ymin=min, ymax=max, color="#ff8888"))
p <- p + geom_linerange(aes(ymin=q1, ymax=q3, color="#990000"))
p <- p + geom_point(aes(color="#000000"))
p <- p + scale_color_identity(name="Values",
                              breaks=c("#ff8888", "#990000", "#000000"),
                              labels=c("min/max", "IQR", "median"),
                              guide="legend")
p <- p + scale_x_continuous("Number of operations", breaks=(0:10 * 100))
p <- p + scale_y_continuous("CPU cycles")
p <- p + coord_cartesian(ylim=c(0, 1250))
p <- p + theme_bw()
print(p)

ggsave('results_plot.png', width=12, height=8)

p <- p + scale_x_continuous("Number of operations", breaks=(0:10 * 10))
p <- p + coord_cartesian(xlim=c(0, 100), ylim=c(0, 200))
print(p)
ggsave('results_plot_detail.png', width=8, height=6)
