#!/bin/sh

set -e

# First, test whether RDTSCP is available
# Poor man's configure :)
make clean >/dev/null 2>&1
make CFLAGS="-DN_OPERATIONS=5 -DHAVE_RDTSCP=1" >/dev/null 2>&1
if ./timing_bench >/dev/null 2>&1; then
    echo "Using RDTSCP"
    have_rdtscp=1
else
    echo "Not using RDTSCP, your CPU does not seem to support it"
    have_rdtscp=0
fi

echo "n_operations, min, q1, median, q3, max" > results.csv
for i in $(seq 0 1000); do
    make clean >/dev/null
    make CFLAGS="-DN_OPERATIONS=$i -DHAVE_RDTSCP=$have_rdtscp" >/dev/null 2>&1
    ./timing_bench
done 2>> results.csv
